_Edje_External_Param_Info Struct Reference

Data Fields
_Edje_External_Param_Info Struct Reference
Edje » Edje External

Struct holding information about an EXTERNAL part's parameters. More...

## Data Fields
const char * | name
| Name of the parameter. More...
Edje_External_Param_Type | type
| Type of the parameter. More...
Edje_External_Param_Flags | flags
| Flags indicating how this parameter is used. More...
union {
struct {
int def
| Default value for the parameter. More...
int min
| Minimum value it can have. More...
int max
| Maximum value it can have. More...
int step
| Values will be a multiple of this. More...
} i
| Info about integer type parameters. More...
struct {
double def
| Default value for the parameter. More...
double min
| Minimum value it can have. More...
double max
| Maximum value it can have. More...
double step
| Values will be a multiple of this. More...
} d
| Info about double type parameters. More...
struct {
const char * def
| Default value. More...
const char * accept_fmt
| Not implemented. More...
const char * deny_fmt
| Not implemented.
} s
| Info about string type parameters. More...
struct {
int def
| Default value. More...
const char * false_str
| String shown by editors to indicate the false state. More...
const char * true_str
| String shown by editors to indicate the true state. More...
} b
| Info about boolean type parameters. More...
struct {
const char * def
| Default value. More...
const char ** choices
char *(* def_get )(void *data, const Edje_External_Param_Info *info)
char **(* query )(void *data, const Edje_External_Param_Info *info)
| return malloc() memory with the default choice, should be used if def is NULL. More...
} c
| Info about choice type parameters. More...
} | info

## Detailed Description

Struct holding information about an EXTERNAL part's parameters.

When creating types to use with EXTERNAL parts, an array of this type is used to describe the different parameters the object uses.

This struct holds the name, type and flags that define how and when the parameter is used, as well as information specific to each type, like the maximum or minimum value, that can be used by editors to restrict the range of values to set for each parameter.

## Field Documentation

## ◆ name

const char* _Edje_External_Param_Info::name

Name of the parameter.

Referenced by edje_edit_state_add(), edje_external_param_type_str(), and edje_object_signal_callback_extra_data_get().

## ◆ type

Edje_External_Param_Type _Edje_External_Param_Info::type

Type of the parameter.

Referenced by edje_edit_state_add(), edje_external_param_type_str(), and edje_object_signal_callback_extra_data_get().

## ◆ flags

Edje_External_Param_Flags _Edje_External_Param_Info::flags

Flags indicating how this parameter is used.

## ◆ def [1/3]

int _Edje_External_Param_Info::def

Default value for the parameter.

Default value.

## ◆ min [1/2]

int _Edje_External_Param_Info::min

Minimum value it can have.

## ◆ max [1/2]

int _Edje_External_Param_Info::max

Maximum value it can have.

## ◆ step [1/2]

int _Edje_External_Param_Info::step

Values will be a multiple of this.

## ◆ i

struct { ... } _Edje_External_Param_Info::i

Info about integer type parameters.

Use EDJE_EXTERNAL_INT_UNSET on any of them to indicate they are not defined.

Referenced by edje_edit_state_add().

## ◆ def [2/3]

double _Edje_External_Param_Info::def

Default value for the parameter.

## ◆ min [2/2]

double _Edje_External_Param_Info::min

Minimum value it can have.

## ◆ max [2/2]

double _Edje_External_Param_Info::max

Maximum value it can have.

## ◆ step [2/2]

double _Edje_External_Param_Info::step

Values will be a multiple of this.

## ◆ d

struct { ... } _Edje_External_Param_Info::d

Info about double type parameters.

Use EDJE_EXTERNAL_DOUBLE_UNSET on any of them to indicate they are not defined.

Referenced by edje_edit_state_add().

## ◆ def [3/3]

const char* _Edje_External_Param_Info::def

Default value.

## ◆ accept_fmt

const char* _Edje_External_Param_Info::accept_fmt

Not implemented.

## ◆ s

struct { ... } _Edje_External_Param_Info::s

Info about string type parameters.

NULL indicates undefined.

Referenced by edje_edit_state_add().

## ◆ false_str

const char* _Edje_External_Param_Info::false_str

String shown by editors to indicate the false state.

## ◆ true_str

const char* _Edje_External_Param_Info::true_str

String shown by editors to indicate the true state.

## ◆ b

struct { ... } _Edje_External_Param_Info::b

Info about boolean type parameters.

## ◆ query

char**(* _Edje_External_Param_Info::query) (void *data, const Edje_External_Param_Info *info)

return malloc() memory with the default choice, should be used if def is NULL.

First parameter is Edje_External_Type::data

## ◆ c

struct { ... } _Edje_External_Param_Info::c

Info about choice type parameters.

Referenced by edje_edit_state_add().